
%define plugin	actuator
%define name	vdr-plugin-%plugin
%define version	1.0.5
%define rel	4

Summary:	VDR plugin: Linear or h-h actuator control
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://ventoso.org/luca/vdr/
Source:		http://ventoso.org/luca/vdr/vdr-%plugin-%version.tgz
Patch0:		actuator-linux-config.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi
Requires:	dkms-actuator

%description
With this plugin you can control a linear or an horizon to horizon actuator
controlled through the parallel port.
This kind of actuator usually needs a 36V supply (I drive mine at 12V to
reduce noise) and has a reed relay that gives pulses while the motor is
running. By counting the pulses you know the position of the actuator
(and the position of the dish).

%package -n dkms-%plugin
Summary:	Driver for an actuator connected to a parallel port
Group:		System/Kernel and hardware
Requires:	dkms

%description -n dkms-%plugin
Driver for an actuator controlled thorough a parallel port. Use this
with the VDR actuator plugin.

%prep
%setup -q -n %plugin-%version
%patch0 -p1
mv module/README README.module

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

install -d -m755 %{buildroot}%{_usrsrc}/%{plugin}-%{version}-%{release}
install -m644 module/actuator.c module/actuator.h module/Makefile %{buildroot}%{_usrsrc}/%{plugin}-%{version}-%{release}

cat > %{buildroot}%{_usrsrc}/%{plugin}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{plugin}"
PACKAGE_VERSION="%{version}-%{release}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/char"
BUILT_MODULE_NAME[0]="actuator"
MAKE[0]="make -C \${kernel_source_dir} M=\\\$(pwd)"
AUTOINSTALL="yes"
EOF

%clean
rm -rf %{buildroot}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%post -n dkms-%{plugin}
dkms add     -m %{plugin} -v %{version}-%{release} --rpm_safe_upgrade
dkms build   -m %{plugin} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{plugin} -v %{version}-%{release} --rpm_safe_upgrade

%preun -n dkms-%{plugin}
dkms remove -m %{plugin} -v %{version}-%{release} --all --rpm_safe_upgrade

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README README.module HISTORY patches module/*.png module/*.sch
%doc module/*.py module/printioctls.c

%files -n dkms-%plugin
%doc README.module
%{_usrsrc}/%{plugin}-%{version}-%{release}




%changelog
* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 1.0.5-4mdv2008.1
+ Revision: 144999
- rebuild for new vdr

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 1.0.5-3mdv2008.1
+ Revision: 144963
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 1.0.5-2mdv2008.1
+ Revision: 103049
- rebuild for new vdr

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0.5-1mdv2008.0
+ Revision: 81813
- 1.0.5
- adapt for recent kernels (patch0)

* Thu Jul 19 2007 Anssi Hannula <anssi@mandriva.org> 1.0.4-1mdv2008.0
+ Revision: 53421
- 1.0.4

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 1.0.3-12mdv2008.0
+ Revision: 49957
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 1.0.3-11mdv2008.0
+ Revision: 42044
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 1.0.3-10mdv2008.0
+ Revision: 22674
- rebuild for new vdr


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 1.0.3-9mdv2007.0
+ Revision: 90865
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 1.0.3-8mdv2007.1
+ Revision: 73932
- rebuild for new vdr
- Import vdr-plugin-actuator

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 1.0.3-7mdv2007.0
- rebuild for new vdr

* Fri Aug 25 2006 Anssi Hannula <anssi@mandriva.org> 1.0.3-6mdv2007.0
- fix mangled line

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 1.0.3-5mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 1.0.3-4mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 1.0.3-3mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 1.0.3-2mdv2007.0
- rebuild for new vdr

* Sat Jun 10 2006 Anssi Hannula <anssi@mandriva.org> 1.0.3-1mdv2007.0
- initial Mandriva release

